# Uses of Class
org.eclipse.birt.report.model.api.Expression

Packages that use Expression
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.

## Uses of Expression in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return Expression
Modifier and Type
Method
Description
`Expression`
AggregationArgumentHandle.`getExpression()`
Returns the argument expression.
`Expression`
DesignElementHandle.`getPropertyBindingExpression(String propName)`
Returns the overridden value of the specified property given its internal name.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type Expression
Modifier and Type
Method
Description
`List<Expression>`
ExpressionListHandle.`getListValue()`
Returns the value as an expression list.
Methods in org.eclipse.birt.report.model.api with parameters of type Expression
Modifier and Type
Method
Description
`void`
CellHandle.`setAltTextExpression(Expression altText)`
Sets the alternate text of this label item.
`void`
ReportItemHandleImpl.`setAltTextExpression(Expression altText)`
Sets the alternate text of this label item.
`void`
DesignElementHandle.`setExpressionProperty(String propName, Expression expression)`
Sets the value of a property to an expression.
`void`
StructureHandle.`setExpressionProperty(String memberName, Expression value)`
Sets the value of the member as an expression.
`void`
ImageHandle.`setFile(Expression expr)`
Sets the image uri property by an expression.
`void`
DesignElementHandle.`setPropertyBinding(String propName, Expression value)`
Sets the mask of the specified property.
`void`
ImageHandle.`setURL(Expression expr)`
Sets the image uri property by an expression.
`void`
FilterConditionHandle.`setValue2(Expression value2Expr)`
Sets the value 2 expression of this filter condition.
Method parameters in org.eclipse.birt.report.model.api with type arguments of type Expression
Modifier and Type
Method
Description
`void`
ExpressionListHandle.`setListValue(List<Expression> toSet)`
Returns the value as an expression list.

## Uses of Expression in org.eclipse.birt.report.model.api.elements.structures

Fields in org.eclipse.birt.report.model.api.elements.structures declared as Expression
Modifier and Type
Field
Description
`protected Expression`
Rule.`displayExpre`
Display value.
`protected Expression`
HideRule.`expression`
The expression for the visibility rule.
`protected Expression`
SearchKey.`expression`
Value of the expression property.
`protected Expression`
JoinCondition.`leftExpression`
Value of the left coloumn property.
`protected Expression`
JoinCondition.`rightExpression`
Value of the right coloumn property.
`protected Expression`
Rule.`ruleExpre`
Static value.
`protected Expression`
StyleRule.`testExpression`
the test expression for this highlight rule.
`protected Expression`
PropertyBinding.`value`
Value expression of this property binding.
`protected Expression`
StyleRule.`value2`
Expression for the second operand.
Methods in org.eclipse.birt.report.model.api.elements.structures that return Expression
Modifier and Type
Method
Description
`Expression`
CalculationArgument.`getValue()`
Returns the argument value.
Methods in org.eclipse.birt.report.model.api.elements.structures that return types with arguments of type Expression
Modifier and Type
Method
Description
`List<Expression>`
ParamBinding.`getExpressionList()`
Returns the list of the expressions.
Methods in org.eclipse.birt.report.model.api.elements.structures with parameters of type Expression
Modifier and Type
Method
Description
`void`
ComputedColumn.`setReferenceDateValue(Expression expr)`
Sets the reference date value with the expression value.
`void`
CalculationArgument.`setValue(Expression argumentValue)`
Sets the argument value.
`void`
FilterCondition.`setValue2(Expression value)`
Sets the value 2 expression.
Method parameters in org.eclipse.birt.report.model.api.elements.structures with type arguments of type Expression
Modifier and Type
Method
Description
`void`
ParamBinding.`setExpression(List<Expression> values)`
Sets the binding expression list.